Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class QualificationDiscountId

    java.lang.Object
      com.bea.commerce.ebusiness.discount.mgmt.QualificationDiscountId

All Implemented Interfaces
  Serializable, Comparable

Deprecated

    @Deprecated
    public class QualificationDiscountId

extends Object
implements Serializable, Comparable

This class represents a unique identifier for a `QualificationDiscountDef` object.

See Also
  Serialized Form

Field Summary
`static String` | `cName` Deprecated This class's name

Constructor Summary
`QualificationDiscountId(int id)` Deprecated Constructor

Method Summary
`int` | `compareTo(Object obj)` Deprecated
`boolean` | `equals(Object obj)` Deprecated Tests if this `QualificationDiscountId` object is the same as the one passed
`int` | `hashCode()` Deprecated A unique code for this discount
`int` | `intValue()` Deprecated Gets an integer representation of this `QualificationDiscountId`
`String` | `toString()` Deprecated Gets a `String`representation of this `QualificationDiscountId```
`static String` | `toString(Iterator it, int size)` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  This class's name

  See Also
    Constants Summary

Constructor Detail

### QualificationDiscountId

    public QualificationDiscountId(int id)

  Deprecated
  Constructor

  Parameters
    `id` - a unique integer

Method Detail

### equals

    public boolean equals(Object obj)

  Deprecated
  Tests if this `QualificationDiscountId` object is the same as the one passed

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the `QualificationDiscountId` to compare this one to
  Returns
    true if the `obj` is the same this `QualificationDiscountId`, false otherwise

### compareTo

    public int compareTo(Object obj)

  Deprecated
  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Deprecated
  A unique code for this discount

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hashCode for this discount

### intValue

    public int intValue()

  Deprecated
  Gets an integer representation of this `QualificationDiscountId`

  Returns
    an integer representation of this `QualificationDiscountId`

### toString

    public String toString()

  Deprecated
  Gets a `String`representation of this `QualificationDiscountId`

  ``
  Overrides:
    `toString` in class `Object`
  Returns
    a `String`representation of this `QualificationDiscountId```

### toString

    public static String toString(Iterator it,
                                  int size)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.